Docs

Get User Event Settings

GET /Users/{userId}/events/{eventId}/settings

GET/Users/{userId}/events/{eventId}/settings

Returns a user's event-scoped settings, specifically their collaborator and crew membership ids for the given event. Use this to resolve which collaborator and crew record a user is associated with on an event; returns 204 No Content when the user has no connected crew record on it. Only the caller's own user id is accepted.

Path Parameters

FieldTypeRequiredDescription
userIduuidRequired
eventIduuidRequired

Response

FieldTypeDescription
collaboratorIduuid
crewIduuid